## org.apache.fop.dom.svg
Class SVGTRefElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGTextContentElementImpl
                                    |
                                    +--org.apache.fop.dom.svg.SVGTSpanElementImpl
                                          |
                                          +--org.apache.fop.dom.svg.SVGTRefElementImpl

public class SVGTRefElementImpl
extends SVGTSpanElementImpl
implements org.w3c.dom.svg.SVGTRefElement

Field Summary
`java.lang.String` `ref`

Fields inherited from class org.apache.fop.dom.svg.SVGTSpanElementImpl
`dx, dxlist, dy, dylist, str, xlist, ylist`

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.svg.SVGTextContentElement
`LENGTHADJUST_SPACING, LENGTHADJUST_SPACINGANDGLYPHS, LENGTHADJUST_UNKNOWN`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGTRefElementImpl()`

Method Summary
`org.w3c.dom.svg.SVGAnimatedBoolean` `getExternalResourcesRequired()`
`org.w3c.dom.svg.SVGAnimatedString` `getHref()`
`java.lang.String` `getXlinkActuate()`
`java.lang.String` `getXlinkArcRole()`
`java.lang.String` `getXlinkRole()`
`java.lang.String` `getXlinkShow()`
`java.lang.String` `getXlinkTitle()`
`java.lang.String` `getXlinkType()`
`void` `setExternalResourcesRequired(org.w3c.dom.svg.SVGAnimatedBoolean externalResourcesRequired)`
`void` `setHref(org.w3c.dom.svg.SVGAnimatedString href)`
`void` `setXlinkActuate(java.lang.String xlinkActuate)`
`void` `setXlinkArcRole(java.lang.String xlinkArcRole)`
`void` `setXlinkRole(java.lang.String xlinkRole)`
`void` `setXlinkShow(java.lang.String xlinkShow)`
`void` `setXlinkTitle(java.lang.String xlinkTitle)`
`void` `setXlinkType(java.lang.String xlinkType)`

Methods inherited from class org.apache.fop.dom.svg.SVGTSpanElementImpl
`getDx, getDy, getRotate, getX, getY`

Methods inherited from class org.apache.fop.dom.svg.SVGTextContentElementImpl
`getCharNumAtPosition, getComputedTextLength, getEndPositionOfChar, getExtentOfChar, getLengthAdjust, getNumberOfChars, getRotationOfChar, getStartPositionOfChar, getSubStringLength, getTextLength, selectSubString`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getBBox, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    public java.lang.String ref

Constructor Detail

### SVGTRefElementImpl

    public SVGTRefElementImpl()

Method Detail

### getXlinkType

    public java.lang.String getXlinkType()

### setXlinkType

    public void setXlinkType(java.lang.String xlinkType)

### getXlinkRole

    public java.lang.String getXlinkRole()

### setXlinkRole

    public void setXlinkRole(java.lang.String xlinkRole)

### getXlinkTitle

    public java.lang.String getXlinkTitle()

### setXlinkTitle

    public void setXlinkTitle(java.lang.String xlinkTitle)

### getXlinkArcRole

    public java.lang.String getXlinkArcRole()

### setXlinkArcRole

    public void setXlinkArcRole(java.lang.String xlinkArcRole)

### getXlinkShow

    public java.lang.String getXlinkShow()

### setXlinkShow

    public void setXlinkShow(java.lang.String xlinkShow)

### getXlinkActuate

    public java.lang.String getXlinkActuate()

### setXlinkActuate

    public void setXlinkActuate(java.lang.String xlinkActuate)

### getHref

    public org.w3c.dom.svg.SVGAnimatedString getHref()

### setHref

    public void setHref(org.w3c.dom.svg.SVGAnimatedString href)

### getExternalResourcesRequired

    public org.w3c.dom.svg.SVGAnimatedBoolean getExternalResourcesRequired()

  Overrides:
    getExternalResourcesRequired in class SVGElementImpl

### setExternalResourcesRequired

    public void setExternalResourcesRequired(org.w3c.dom.svg.SVGAnimatedBoolean externalResourcesRequired)

  Overrides:
    setExternalResourcesRequired in class SVGElementImpl

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.